Workflows

Store the provider signing secret of a webhook

POST
/workflows/{workflow_id}/webhooks/{node_id}/signing-secret

Store the provider's webhook signing secret for a webhook trigger node that is registered manually at the provider. The secret is never returned.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

workflow_id*string

Resource identifier: workflow_id.

Formatuuid
node_id*string

Resource identifier: node_id.

Lengthlength <= 80

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128
Idempotency-Key*string

A unique key for this intended write. Reuse it only for an identical retry.

Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/workflows/123e4567-e89b-42d3-a456-426614174000/webhooks/example/signing-secret" \  -H "Idempotency-Key: 123e4567-e89b-42d3-a456-426614174000" \  -H "Content-Type: application/json" \  -d '{    "secret": "whsec_example"  }'
{  "has_signing_secret": false}